Skip to main content
PUT
Update Autojob Workergroup

Authorizations

Authorization
string
header
required

API key must be provided in the Authorization header

Path Parameters

id
integer
required

Numeric ID of the workergroup to update.

Body

application/json
min_load
number

Updated minimum load threshold for this workergroup.

Example:

0.2

target_util
number

Updated target utilization ratio (0-1).

Example:

0.85

cold_mult
number

Updated cold-standby multiplier.

Example:

2.5

test_workers
integer

Updated number of test/canary workers.

Example:

2

template_hash
string

Hash ID of a new template to switch to.

Example:

"def456"

template_id
integer

Numeric ID of a new template to switch to.

Example:

100

launch_args
string

Updated launch arguments for worker instances.

gpu_ram
number

Updated minimum GPU RAM in GB.

Example:

24

endpoint_id
integer

ID of the endpoint this workergroup belongs to; required.

Example:

42

search_params
string

Updated GPU offer filter expression.

Example:

"gpu_ram>=24"

Response

Returns {success: true}

success
boolean

Always true on success.